Skip to main content

Orders

Create, modify, cancel, and query orders including status, trades, and activity history.

get/v1/cefi/ordersGet ordersFetches all orders for a client entered within the past 24 hours on the exchange. A filter can be provided to limit the results.post/v1/cefi/ordersCreate orderCreate a new order for a specific instrument.patch/v1/cefi/ordersModify orderModify an existing active order request.delete/v1/cefi/orders/{ref_id}Cancel orderBegins the cancellation process of an existing active order from the exchange. N.B. it is still possible to receive trades on the order that is being canceled.delete/v1/cefi/orders/allCancel all ordersRequests cancellation of every active order belonging to the authenticated client. Processed asynchronously: the gateway dispatches a cancel per order and returns 202 Accepted immediately, listing the orders a cancel was dispatched for in accepted. Per-order completion is reported on the order event stream (cancel reports), not in this response. N.B. it is still possible to receive trades on an order while it is being canceled.get/v1/cefi/orders/activeActive ordersQuery for orders currently active on the exchange.get/v1/cefi/orders/tradeAll order tradesFetches all trades for a client executed within the past 24 hours on the exchange.get/v1/cefi/orders/activityAll order activityFetches all activity (trades, confirms, rejects, cancels, modifications) for a client's orders.get/v1/cefi/orders/status/{ref_id}Status orderFetches the current status of a specific order identified by ref_id.get/api/v1/ordersGet ordersDEPRECATED: Use /v1/cefi/orders instead. Fetches all orders for a client entered within the past 24 hours on the exchange. A filter can be provided to limit the results.post/api/v1/ordersCreate orderDEPRECATED: Use /v1/cefi/orders instead. Create a new order for a specific instrument.patch/api/v1/ordersModify orderDEPRECATED: Use /v1/cefi/orders instead. Modify an existing active order request.delete/api/v1/orders/{ref_id}Cancel orderDEPRECATED: Use /v1/cefi/orders/{ref_id} instead. Begins the cancellation process of an existing active order from the exchange. N.B. it is still possible to receive trades on the order that is being canceled.delete/api/v1/orders/allCancel all ordersDEPRECATED: Use /v1/cefi/orders/all instead. Requests cancellation of every active order belonging to the authenticated client. Processed asynchronously: the gateway dispatches a cancel per order and returns 202 Accepted immediately, listing the orders a cancel was dispatched for in accepted. Per-order completion is reported on the order event stream (cancel reports), not in this response. N.B. it is still possible to receive trades on an order while it is being canceled.get/api/v1/orders/activeActive ordersDEPRECATED: Use /v1/cefi/orders/active instead. Query for orders currently active on the exchange.get/api/v1/orders/tradeAll order tradesDEPRECATED: Use /v1/cefi/orders/trade instead. Fetches all trades for a client executed within the past 24 hours on the exchange.get/api/v1/orders/activityAll order activityDEPRECATED: Use /v1/cefi/orders/activity instead. Fetches all activity (trades, confirms, rejects, cancels, modifications) for a client's orders.get/api/v1/orders/status/{ref_id}Status orderDEPRECATED: Use /v1/cefi/orders/status/{ref_id} instead. Fetches the current status of a specific order identified by ref_id.get/api/v1/order/status/{ref_id}Status order (deprecated)DEPRECATED: Use /api/v1/orders/status/{ref_id} instead. Fetches the current status of a specific order identified by ref_id. The service retains status data for a limited period (currently 28 days), but this retention window is subject to change via configuration or system resource availability. ref_id must be one of the following:get/api/v1/order/activeActive orders (deprecated)DEPRECATED: Use /api/v1/orders/active instead. Query for orders currently active on the exchange. An order ID may be supplied to query for a specific order, if this query parameter is not supplied then all active orders will be returned.get/api/v1/order/tradeAll order trades (deprecated)DEPRECATED: Use /api/v1/orders/trade instead. Fetches all trades for a client executed within the past 24 hours on the exchange. A filter can be provided to limit the results.get/api/v1/order/activityAll order activity (deprecated)DEPRECATED: Use /api/v1/orders/activity instead. Fetches all activity for a client's orders.get/api/v1/orderGet orders (deprecated)DEPRECATED: Use /api/v1/orders instead. Fetches all orders for a client entered within the past 24 hours on the exchange. A filter can be provided to limit the results.post/api/v1/orderCreate order (deprecated)DEPRECATED: Use /api/v1/orders instead. Create a new order for a specific instrument.patch/api/v1/orderModify order (deprecated)DEPRECATED: Use /api/v1/orders instead. Modify an existing active order request.delete/api/v1/order/{ref_id}Cancel order (deprecated)DEPRECATED: Use /api/v1/orders/{ref_id} instead. Begins the cancellation process of an existing active order from the exchange. N.B. it is still possible to receive trades on the order that is being canceled. ref_id must be one of the following: